openbabel (3.1.1+dfsg-6ubuntu5) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:51:49 +0100

openbabel (3.1.1+dfsg-6ubuntu4) jammy; urgency=medium

  * Revert the test fix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jan 2022 07:57:15 +0100

openbabel (3.1.1+dfsg-6ubuntu3) jammy; urgency=medium

  * Try to re-enable test test/testobconv_writers.py, after upstream proposed
    patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jan 2022 21:11:30 +0100

openbabel (3.1.1+dfsg-6ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:35:29 +0000

openbabel (3.1.1+dfsg-6ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.
    - Skip also test/testobconv_writers.py, they are new tests, fail on
      non-amd64 targets (precision issue)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Jun 2021 13:50:33 +0200

openbabel (3.1.1+dfsg-6) unstable; urgency=medium

  * Fixing the version number via a patch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 10 Jun 2021 07:27:50 +0300

openbabel (3.1.1+dfsg-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.
    - Skip also test/testobconv_writers.py, they are new tests, fail on
      non-amd64 targets (precision issue)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Feb 2021 23:11:16 +0100

openbabel (3.1.1+dfsg-5) unstable; urgency=medium

  * Preventing documentation files from compressing (Closes: #982958)

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Feb 2021 06:21:48 -0500

openbabel (3.1.1+dfsg-4ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.
    - Skip also test/testobconv_writers.py, they are new tests, fail on
      non-amd64 targets (precision issue)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jan 2021 18:11:43 +0100

openbabel (3.1.1+dfsg-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Pino Toscano ]
  * Pass -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) to cmake to properly set the
    destination library directory; this avoids the need to move the files
    around, and it will help in the future
    - drop the sed in the install files
    - directly install the files from their multiarch location
    - take the multiarch location into account when moving the files of the
      perl bindings, and the location in the build directory with the
      libraries and the modules

  [ Andrius Merkys ]
  * Adding a patch to fix Python 3-related test failure.
  * Fixing paths in OpenBabel3Config.cmake (Closes: #966405).
    Thanks Pino Toscano.

 -- Andrius Merkys <merkys@debian.org>  Wed, 06 Jan 2021 05:39:02 -0500

openbabel (3.1.1+dfsg-3ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:46 +0100

openbabel (3.1.1+dfsg-3ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Nov 2020 16:32:28 +0100

openbabel (3.1.1+dfsg-3ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.
    - debian/patches/7de27f309db5f7ec026ef5c5235e5b33bf7d1a85.patch:
      - upstream fix for test/testdistgeom.py test failure
    - Skip also test/testobconv_writers.py, they are new tests, fail on
      non-amd64 targets (precision issue)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jun 2020 23:51:20 +0200

openbabel (3.1.1+dfsg-3) unstable; urgency=medium

  [ Egon Willighagen ]
  * New URL to the PDF (jcheminf.com may disappear; it's no longer used)
  * Updated the other jcheminf.com URL too

  [ Andrius Merkys ]
  * Installing CMake modules (Closes: #962498).

 -- Andrius Merkys <merkys@debian.org>  Tue, 09 Jun 2020 03:00:07 -0400

openbabel (3.1.1+dfsg-2ubuntu2) groovy; urgency=medium

  * debian/patches/7de27f309db5f7ec026ef5c5235e5b33bf7d1a85.patch:
    - upstream fix for test/testdistgeom.py test failure
  * Skip also test/testobconv_writers.py, they are new tests, fail on
    non-amd64 targets (precision issue)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 10:45:19 +0200

openbabel (3.1.1+dfsg-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Jun 2020 10:29:58 +0200

openbabel (3.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Enabling building with coordgen.

 -- Andrius Merkys <merkys@debian.org>  Sun, 31 May 2020 00:31:34 -0400

openbabel (3.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Renaming package libopenbabel6 -> libopenbabel7.
  * As 'babel' is now gone, not installing its now missing manpage.
  * Disabling building with Coordgen for now, as its templates file is not
    provided by its Debian package.
  * Using system-provided libinchi, excluding embedded sources.
  * Adding build dependencies on python3-all and texlive-latex-extra.
  * Removing upstream-integrated patches.

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 May 2020 11:54:05 -0400

openbabel (3.0.0+dfsg-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make the autopkg tests more verbose, don't fail on the first failing test.
    - Re-enable the tests on arm64.
    - Skip the test/testroundtrip.py test on all architectures, times out on the
      buildds.
    - Skip the testbindings.py and testsym.py tests on non amd64 architectures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 May 2020 18:24:07 +0200

openbabel (3.0.0+dfsg-4) unstable; urgency=medium

  * Replacing libschroedinger-maeparser-dev with libmaeparser-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Apr 2020 00:48:33 -0400

openbabel (3.0.0+dfsg-3ubuntu3) focal; urgency=medium

  * Make the autopkg tests more verbose, don't fail on the first failing test.
  * Re-enable the tests on arm64.
  * Skip the test/testroundtrip.py test on all architectures, times out on the
    buildds.
  * Skip the testbindings.py and testsym.py tests on non amd64 architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Mar 2020 12:52:36 +0100

openbabel (3.0.0+dfsg-3) unstable; urgency=medium

  [ Drew Parsons ]
  * Update package description for obabel executable

  [ Andrius Merkys ]
  * Skipping autopkgtest on arm64 for now as they time out.
  * Fixing syntax in bug issue markup in the changelog.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Jan 2020 07:35:16 -0500

openbabel (3.0.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable (Closes: #946263).
  * Adding a patch to fix hardcoded include directories.
  * Installing shared libraries in multiarch directories.
  * Adding autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Jan 2020 10:07:47 -0500

openbabel (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Renaming package libopenbabel5 -> libopenbabel6.
  * Updating debian/openbabel.install.
  * Removing upstream-integrated and no longer required patches.
  * Removing no longer existing files from 'Files-Excluded' in
    debian/copyright.
  * Refreshing libinchi_static.patch.
  * Collecting new dependencies.
  * Excluding external/, scripts/csharp/, include/libxml.
  * Updating debian/copyright.
  * Transitioning to automatic debug package (thanks Jelmer Vernooĳ)
  * Adding myself to the list of uploaders.
  * Wrapping and sorting everything but the debian/control.

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Nov 2019 08:23:00 -0500

openbabel (2.4.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Pointing debian/watch to GitHub repository.
  * Replacing b-d on python3-all-dev with python3-dev (Closes: #943629)

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Nov 2019 01:36:19 -0500

openbabel (2.4.1+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use GTK3 flavour of wxwidgets3.0. (Closes: #933415)

 -- Olly Betts <olly@survex.com>  Mon, 21 Oct 2019 08:30:01 +1300

openbabel (2.4.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Adding 'Rules-Requires-Root: no'.
  * Bumping debhelper compatibility level (no changes).
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 15 Oct 2019 01:20:55 -0400

openbabel (2.4.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Daniel Leidert ]
  * Add gbp configuration for overlay layout
  * Enable CI/CD

  [ Andrius Merkys ]
  * Building Python3 package instead of Python2 (Closes: #797945, #937192)
  * Adding a patch to remove unneeded header from SWIG-generated Python
    bindings.
  * Removing debian/source/lintian-overrides, as the override is no longer
    required.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Sep 2019 01:28:35 -0400

openbabel (2.4.1+dfsg-3) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/pybel_indexerror.patch: New patch, avoids an IndexError for
    plugins with empty names, taken from upstream master commit 4c3fe03b.

 -- Michael Banck <mbanck@debian.org>  Mon, 12 Nov 2018 13:24:14 +0100

openbabel (2.4.1+dfsg-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * debian/openbabel.install: removing roundtrip, as the script has been
    removed before for being used only for testing; moreover, it is not
    even built when $(DEB_BUILD_OPTIONS) contains 'nocheck'.

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jul 2018 19:22:47 +0200

openbabel (2.4.1+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Upload to unstable.
  * debian/patches/862517_initialise.patch: removing as it was integrated
    upstream.
  * Switching from debian/get-orig-source.sh to debian/copyright-based
    repackaging, excluding prebuilt doxygen documentation and a couple of
    binaries.
  * Building and installing doxygen documentation.
  * debian/patches/libinchi_static.patch: fixing a typo.
  * Bumping the debhelper version to 11.
  * Removing Priority: 'extra' in favour of global setting of 'optional'.
  * debian/copyright: switching to versioned format with HTTPS.
  * debian/rules: dh option '--parallel' is on by default, removing.
  * Installing pkgconfig into ${DEB_HOST_MULTIARCH} directory.
  * debian/source/lintian-overrides: updating.
  * debian/rules: calling 'dh_missing' instead of 'dh_install --list-missing'.
  * debian/openbabel.install: installing program 'roundtrip' and its manpage.
  * debian/changelog: removing trailing whitespace via
    "sed -i -e 's@[[:space:]]*$@@g' debian/changelog"

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Jul 2018 14:16:28 +0200

openbabel (2.4.1-2) experimental; urgency=medium

  [ Andrius Merkys ]
  * debian/rules: Target override_dh_installexamples added to exclude
    Python binaries from examples, target override_dh_installdocs
    modified to ignore all JavaScript in docs.
  * debian/source.lintian-overrides: Ignoring JavaScript in original
    source tarball.
  * debian/copyright: Clarifying licenses.
  * debian/control: Bumping Standards-Version, debhelper version,
    adding dh-python to Build-Depends, listing Perl module name to the
    description.
  * debian/compat: Bump.
  * debian/get-orig-source.sh: Avoiding invocation of 'rm' without any
    arguments.
  * debian/patches/manpages.diff: Adding missing manpages.
  * debian/patches/remove_js.diff: Removing JavaScript inclusion
    statements from HTML documentation of the API.
  * debian/patches/remove_link_top.diff: Removing <link rel="top" .../>
    from HTML documentation of the examples.
  * debian/openbabel.install: Installing missing manpages.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Nov 2017 21:25:31 +0100

openbabel (2.3.2+dfsg-3) unstable; urgency=high

  * Acknowledge NMUs.
  * debian/patches/862517_initialise.patch: New patch, fixes an initialisation
    error, taken from upstream commit 45abc715, thanks to Stuart Prescott
    (Closes: #862517).

 -- Michael Banck <mbanck@debian.org>  Sun, 04 Jun 2017 16:25:10 +0200

openbabel (2.4.1-1) experimental; urgency=medium

  * New upstream major release.  New features include:
    + Integration of the confab conformer generator
    + Improved partial charge models, including EEM methods, EQeq
    + ECFP radial fingerprints
    + Initial support for ring rotamer / conformer sampling
    + Improved GAFF atom typing and parameterization
    + New PHP scripting bindings
  * Acknowledge NMUs.
  * debian/libopenbabel5.install: Moved to ...
  * debian/libopenbabel4v5.install: ... this, and update plugin path for 2.4
    series.
  * debian/control: Update accordingly.
  * debian/patches/perl_hardening.patch: Removed, no longer needed.
  * debian/patches/fix_ftbfs.patch: Likewise.
  * debian/patches/715668_fix_babel_segfault.patch: Likewise.
  * debian/patches/gcc5.diff: Likewise.
  * debian/patches/gcc-version.diff: Refreshed.
  * debian/control (Build-Depends): Added python-setuptools.
  * debian/rules (override_dh_auto_build, override_dh_auto_install): Targets
    removed, no longer needed.
  * debian/openbabel.install: Updated for recently added tools.
  * debian/rules (override_dh_install): Move perl module in correct place
    before running dh_install for it.
  * debian/python-openbabel.install: New file, installs the python module.
  * debian/rules: Rename builddir from `build' to `builddir', to avoid clashing
    with the Makefile rule of the same name.
  * debian/patches/disable_json_formats.patch: New patch, disables the
    JSON-based formats plugins until they can be built against a system
    libjsoncpp.
  * debian/copyright: Update libinchi copyright to IUPAC/InChI-Trust license
    1.0 and include that license.
  * debian/upstream: Move to ...
  * debian/upstream/metadata: ... here.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Nov 2016 23:32:43 +0100

openbabel (2.3.2+dfsg-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS in testing": build with -std=gnu++98.
    (Closes: #834249)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2016 14:49:09 +0200

openbabel (2.3.2+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * "Fix" GCC version check up to GCC 9. Closes: #812259.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:44:00 +0200

openbabel (2.3.2+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Ubuntu patch for the libstdc++ transition (Closes: #796854)

  [ Matthias Klose ]
  * Rename libopenbabel4 to libopenbabel4v5, follow-up transition
    to the libstdc++6 transition.
  * Add Conflict/Replaces to the old library.

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Aug 2015 22:18:57 +0100

openbabel (2.3.2+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix building with GCC 5. Closes: #778044.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 17:35:33 +0200

openbabel (2.3.2+dfsg-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/control: Added new package with debugging symbols.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/openbabel.install: Added obrms binary.
  * debian/rules: Put debugging symbols into -dbg package.
  * debian/patches/715668_fix_babel_segfault.patch: Added.
    - Fix a potential crash in the babel program (closes: #715668)
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Run testsuite only if nocheck is not
    set, thanks to Matthias Klose (closes: #759196).
  * Acknowledge NMUs.

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Sep 2014 14:43:24 +0200

openbabel (2.3.2+dfsg-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxwidgets3.0.

 -- Olly Betts <olly@survex.com>  Wed, 03 Sep 2014 23:48:34 +0000

openbabel (2.3.2+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * apply mistakenly omitted part of gregor's patch removing
    libchemistry-openbabel-perl.install.
    Really Closes: #752800. Thanks to Niko Tyni

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Aug 2014 08:07:30 +0000

openbabel (2.3.2+dfsg-1.2) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - remove debian/libchemistry-openbabel-perl.install
    - pass perl directory to dh_install in debian/rules,
      expanded from $Config{vendorarch}
    (Closes: #752800)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 11:31:02 +0000

openbabel (2.3.2+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libeigen2-dev by libeigen3-dev. (Closes: #726179)

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jan 2014 19:06:26 +0100

openbabel (2.3.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed field.
    (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Massive update.
  * debian/upstream: Author name update.
  * debian/get-orig-source.sh: Remove the windows-*/ directory too.
  * debian/openbabel.install: Removed roundtrip manpage.
  * debian/openbabel-gui.install: Fixed manpage name.
  * debian/openbabel-gui.links: Removed unused file.
  * debian/rules: Enable OpenMP. Disable tests on `nocheck'.
  * debian/patches/gaussformat_nosym.patch: Dropped. Applied upstream.
  * debian/patches/moldenformat_coordonly.patch: Ditto.
  * debian/patches/obspectrophore_man.patch: Ditto.
  * debian/patches/fix_ftbfs.patch: Added.
    - Fix several FTBFS issues in upstream build system.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 22 May 2013 19:08:27 +0200

openbabel (2.3.1+dfsg-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Use BibTeX Syntax for authors.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Fixed my address.
    (Build-Depends): Added libcairo2-dev. Dropped python-support.
    (Depends): Added libjs-jquery for jquery.js in libopenbabel-doc.
  * debian/libopenbabel-doc.links: Added to link jquery.js.
  * debian/libopenbabel-doc.doc-base: Added.
  * debian/python-openbabel.doc-base.pybel: Ditto.
  * debian/python-openbabel.doc-base.openbabel: Ditto.
  * debian/openbabel-gui.links: Link manual page for the obgui binary.
  * debian/rules: Enabled hardening and dh_python2 (closes: #678451). Set
    build type to 'none'. Fixed python module building. Exclude jquery.js
    from being installed and fixed embedded-javascript-library.
  * debian/patches/obspectrophore_man.patch: Added.
    - Added manual page for the obspectrophore binary.
  * debian/patches/perl_hardening.patch: Added.
    - Pass flags to Makefile.PL to enable hardening for perl bindings.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 30 Jun 2012 20:09:22 +0200

openbabel (2.3.1+dfsg-3) unstable; urgency=low

  * debian/patches/gaussformat_nosym.patch: New patch, fixes Gaussian output
    file parsing if the "nosym" keyword has been requested (as is e.g. the
    case for the methane.g03 example file in Avogadro).
  * debian/patches/moldenformat_coordonly.patch: New patch, fixes Molden file
    parsing to not hang if only a geometry (and no vibrations) are present).
  * debian/control (Build-Depends): Added pkg-config (Closes: #673256).
  * debian/control (Standards-Version): Bumped to 3.9.3.
  * debian/upstream: New file.
  * debian/openbabel.install: Removed roundtrip, it has a rather generic name
    and is mostly just useful for the testsuite during package build.
  * debian/control (openbabel/Description): Added some more command-line
    tools.

 -- Michael Banck <mbanck@debian.org>  Thu, 31 May 2012 01:36:48 +0200

openbabel (2.3.1+dfsg-2) unstable; urgency=low

  * debian/openbabel.install: Explicitly list the binaries, excluding obgui.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Oct 2011 19:08:31 +0200

openbabel (2.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/obabel_manpage_additions.patch: Removed, applied upstream.
  * debian/patches/vaspformat_frequencies.patch: Likewise.
  * debian/patches/fix_parallel_build.patch: Likewise.
  * debian/rules: Explicitly set CPPFLAGS for the eigen2 headers when building
    the python bindings.
  * debian/openbabel-gui.install: Updated for filename change.

 -- Michael Banck <mbanck@debian.org>  Fri, 28 Oct 2011 20:22:51 +0200

openbabel (2.3.0+dfsg-3) unstable; urgency=low

  * debian/rules: Reintroduce running of test suite, but ignore failures.
  * debian/patches/vaspformat_frequencies.patch: New patch, adds parsing of
    frequencies to VASP format.

 -- Michael Banck <mbanck@debian.org>  Fri, 02 Sep 2011 18:38:26 +0200

openbabel (2.3.0+dfsg-2) unstable; urgency=low

  * debian/rules: Make override_dh_auto_test a no-op (closes: 624597).

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Apr 2011 13:30:15 +0200

openbabel (2.3.0+dfsg-1) unstable; urgency=low

  [ Michael Banck ]
  * New upstream release.
  * debian/compat: Bumped to 7.
  * debian/control (libopenbabel3): Renamed package to libopenbabel4.
    (Build-Depends): Added cmake and libeigen2-dev. Removed libboost-dev. Bump
    debhelper Build-Depends to 7 and remove cdbs.
  * debian/libopenbabel3.install: Renamed to ...
  * debian/libopenbabel4.install: ... this.
  * debian/libopenbabel4.install: Renamed formats plugin directory for major
    upstream version change.
  * debian/libopenbabel-dev.install: Removed currently unbuilt static library.
  * debian/openbabel.install: Adjusted for renamed Povray include file.
  * debian/rules: Rewrote using dh7.
  * debian/source/format: New file, specifying source format "3.0 (quilt)".
  * debian/patches/libinchi_static.patch: New patch, force a static build of
    the inchi library.
  * debian/patches/fix_parallel_build.patch: New patch, fixes parallel
    building, taken from upstream subversion revision 4285 and 4376. Further
    patch to allow to pass INSTALLDIRS=vendor for Perl binding target (4377).
  * debian/patches/series: Adjusted.
  * debian/rules (CMAKE_OPTIONS): New variable.
  * debian/control: Renamed libopenbabel-perl to libchemistry-openbabel-perl.
  * debian/get-orig-source.sh: Updated for new .dll in scripts/csharp.

  [ Daniel Leidert ]
  * debian/control: Added packages libopenbabel-doc, openbabel-gui and
    libopenbabel-perl (LP: #125115).
    (Standards-Version): Bumped to 3.9.1.
    (Build-Depends): Added libperl-dev and libwxgtk2.8-dev for Perl bindings
    and graphical user interface.
    (Vcs-Browser): Point to the source location.
  * debian/get-orig-source.sh: Script added for source repackaging.
  * debian/libopenbabel4.install,
    debian/libopenbabel-dev.install,
    debian/openbabel.install,
    debian/openbabel-gui.install: Minor rewrite because we only copy files.
  * debian/libopenbabel-doc.docs,
    debian/libopenbabel-perl.install,
    debian/openbabel-gui.install: Added for new packages.
  * debian/rules: Enable parallel builds. Build Perl bindings and the GUI.
    Include python.mk for $(py_setup_install_args).
  * debian/watch: Added rules to handle +dfsg suffix. Run get-orig-source.sh
    script to repackage source.
  * debian/README.source: Update. Document re-packaging the source.
  * debian/patches/obabel_manpage_additions.patch: Added.
    - Create manual pages for obabel and OBGUI.
  * debian/patches/series: Adjusted.

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Apr 2011 12:29:55 +0200

openbabel (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (DEB_INSTALL_CHANGELOGS_ALL): Install NEWS instead of
    ChangeLog as upstream changelog.
    (install-python-openbabel): Don't byte-compile the python files.
  * debian/patches/537102_fix_tr1_memory_detection.patch: Dropped (applied
    upstream).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 01 Aug 2009 17:23:16 +0200

openbabel (2.2.2-2) unstable; urgency=low

  * debian/control (Uploaders): Removed LI Daobing. Thanks for your work!
    (Standards-Version): Bumped to 3.8.2.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/patches/537102_fix_tr1_memory_detection.patch: Added.
    - configure.in, configure, src/config.h.in: Fix detection of tr1/memory to
      prevent building the package with boost (closes: #537102).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Jul 2009 00:18:06 +0200

openbabel (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/mdoc_fix_obprobe_1.patch: Removed, applied upstream.
  * debian/patches/molpro.patch: Likewise.
  * debian/patches/molpro_output_detection.patch: Likewise.
  * debian/patches/vibrations.patch: Likewise.
  * debian/patches/sprintf.patch: Likewise.
  * debian/control (Build-Depends): Removed libboost1.37-dev (closes:
    #534082).

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Jul 2009 10:50:41 +0200

openbabel (2.2.1-4) unstable; urgency=low

  * debian/patches/vibrations.patch: Updated with some bugfixes, taken from
    upstream.

 -- Michael Banck <mbanck@debian.org>  Tue, 05 May 2009 13:46:40 +0200

openbabel (2.2.1-3) unstable; urgency=low

  * debian/patches/molpro_output_detection.patch: New patch, adds detection
    of MOLPRO output files, taken from upstream.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Apr 2009 02:30:28 +0200

openbabel (2.2.1-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Build-depend on boost 1.37 (closes:
    #513259).
    (Standards-Version): Bumped to 3.8.1.
  * debian/rules: List missing (not-installed) files. Make it fit for Python
    2.6 and include python.mk if available (closes: #519959).

  [ Michael Banck ]
  * debian/patches/vibrations.patch: New patch, adding support for vibrations
    to the nwchem and molden formats, taken from upstream.
  * debian/patches/molpro.patch: New patch, adding support for the Molpro
    format, taken from upstream.

 -- Michael Banck <mbanck@debian.org>  Tue, 07 Apr 2009 18:10:24 +0200

openbabel (2.2.1-1) unstable; urgency=low

  * New upstream release 2.2.1.

  [ Nicholas Breen ]
  * debian/patches/sprintf.patch: Correct a use of sprintf() previously
    depending on undefined behavior.  Identified by Kees Cook in
    <http://lists.debian.org/debian-devel/2008/12/msg01079.html>.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.8.0.
    (Depends): Added ${misc:Depends}.
  * debian/rules: Removed obsolete DEB_INSTALL_MANPAGES_openbabel.
  * debian/README.source: Added to be compliant with version 3.8.0 of the
    Debian policy.
  * debian/man/: Removed. Added upstream.
  * debian/patches/gauss_cube_format.patch: Dropped (applied upstream).
  * debian/patches/mdoc_fix_obprobe_1.patch: Added.
    - doc/obprobe.1: Fixed mdoc related manpage-has-errors-from-man.

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Mar 2009 17:14:45 +0100

openbabel (2.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Updated descriptions.
  * debian/patches/gauss_cube_format.patch: New patch, makes the
    gaussian cube format available again.
  * debian/rules (DEB_DH_MAKESHLIBS_ARGS_libopenbabel3): Removed.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Likewise.
  * debian/libopenbabel3.install: Adjust formats directory to single
    version hierarchy.

 -- Michael Banck <mbanck@debian.org>  Tue, 22 Jul 2008 23:54:58 +0200

openbabel (2.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/experimental_soname.patch: Removed, applied upstream.
  * debian/patches/math_visibility.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 04 Jul 2008 16:23:46 +0200

openbabel (2.2.0~beta7~r2628-2) experimental; urgency=low

  * debian/rules (Build-Depends): Added libboost-dev.
  * debian/patches/math_visibility.patch: New patch, fixes problems with
    avogadro, taken from upstream repository.

 -- Michael Banck <mbanck@debian.org>  Mon, 30 Jun 2008 19:36:55 +0200

openbabel (2.2.0~beta7~r2628-1) experimental; urgency=low

  * New upstream development snapshot.

 -- Michael Banck <mbanck@debian.org>  Sat, 28 Jun 2008 18:02:55 +0200

openbabel (2.2.0~beta6~r2551-1) experimental; urgency=low

  * New upstream development snapshot.

  [ Daniel Leidert ]
  * debian/watch: Adjusted for snapshots.

  [ Michael Banck ]
  * debian/patches/experimental_soname.patch: Refreshed.
  * debian/libopenbabel3.install: Updated for new directory structure.

 -- Michael Banck <mbanck@debian.org>  Mon, 09 Jun 2008 18:34:12 +0200

openbabel (2.2.0~beta5~r2469-1) experimental; urgency=low

  * New upstream development snapshot.
  * debian/patches/fix_467498_pedantic_issues.patch: Removed, applied
    upstream.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 May 2008 18:32:07 +0200

openbabel (2.1.1-4) unstable; urgency=low

  * debian/patches/babel_1_macro_fix.patch: Added.
    - doc/babel.1: Fix manpage-has-errors-from-man lintian warning.
  * debian/patches/fix_419070_segfault_reading_writeonly.patch: Added.
    - tools/babel.cpp (main): Fix a segmentation fault when trying to convert a
      Gaussian input file (closes: #419070). The fix has been backported from
      upstream SVN (revision 2073 and 2074).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 04 Mar 2008 15:22:58 +0100

openbabel (2.2.0~beta4~r2299-1) experimental; urgency=low

  [ Michael Banck ]
  * New upstream development snapshot.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Update pkglibdir to 2.2.
  * debian/patches/inchi_noinst_library.patch: Removed, applied upstream.
  * debian/patches/python_setup_fix.patch: Likewise.
  * debian/patches/some_platform_have_no_python_dl.patch: Removed, no longer
    needed.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Ignore failures.
  * debian/libopenbabel2.install: Wildcard version directory.
  * debian/libopenbabel-dev.install: Likewise.
  * debian/libopenbabel2.install: Include data files as well.
  * debian/libopenbabel2.install: Renamed to ...
  * debian/libopenbabel3.install: ... this.
  * debian/control (libopenbabel2): Renamed package to libopenbabel3.
  * debian/patches/experimental_soname.patch: Change soname to
    libopenbabel.so.3.
  * debian/patches/fix_467498_pedantic_issues.patch: Updated.
  * debian/patches/fix_ftbfs_with_gcc_43.patch: Removed, applied upstream.
  * debian/patches/testsuite_bashism.patch: Likewise.
  * debian/libopenbabel-dev.install: Do not ship static formats and their .la
    files.
  * debian/rules (DEB_DH_MAKESHLIBS_ARGS_libopenbabel3): New variable, tighten
    shlibs for experimental.
  * debian/openbabel.install: Do not install data files anymore, they are now
    shipped by the library.

 -- Michael Banck <mbanck@debian.org>  Mon, 03 Mar 2008 17:49:55 +0100

openbabel (2.1.1-3) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches/testsuite_bashism.patch: New patch, use /bin/bash to run
    cml.sh instead of /bin/sh as "source" is a bashism. (Closes: #459116)

  [ Daniel Leidert ]
  * debian/compat: Raised to level 5.
  * debian/control: Added DM-Upload-Allowed for DM status.
    (Uploaders): Added myself.
    (Build-Depends): Raised debhelper to v5.
    (Standards-Version): Update to 3.7.3 (no other changes).
    (Description): Typo fix (thanks to lintian).
  * debian/copyright: Updated. Added missing copyright informaton. Added
    missing information about libinchi.
  * debian/libopenbabel-dev.dirs: Removed (useless).
  * debian/libopenbabel-dev.install: Fixed plugins path (necessary for
    compatibility mode 5).
  * debian/openbabel.dirs: Ditto.
  * debian/openbabel.docs: Removed files that should go into all packages.
    Added READMEs regarding povray.
  * debian/openbabel.examples: Added example for the newly added READMEs.
  * debian/rules: Added DEB_INSTALL_DOCS_ALL for docs to install in all
    packages. Added DEB_INSTALL_MANPAGES_openbabel to install missing
    man-pages (retrieved from SVN).
  * debian/man/*.1: Added man-pages already in openbabels SVN but not shipped
    with the source.
  * debian/patches/fix_ftbfs_with_gcc_43.patch: Added.
    - Add missing includes to fix an FTBFS with GCC 4.3 (closes: #455170).
  * debian/patches/fix_467498_pedantic_issues.patch: Added.
    - Fix some issues -pedantic will complain about (LP: #195497; closes:
      #467498).

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Mar 2008 23:03:27 +0100

openbabel (2.1.1-2) unstable; urgency=low

  * debian/control (libopenbabel2): Removed Replaces on libopenbabel1.

 -- Michael Banck <mbanck@debian.org>  Tue, 30 Oct 2007 11:29:15 +0100

openbabel (2.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Add pkglibdir set to
    /usr/lib/openbabel/2.1 to avoid plugins overlaps with future incompatible
    versions of OpenBabel.
  * debian/patches/python_setup_fix.patch: New patch, make sure the right
    directories are included in order to find libopenbabel.
  * debian/control (Maintainer): Set to Debichem Team.
  * debian/libopenbabel2.install: Install plugins into /usr/lib/openbabel/2.1.
  * debian/patches/inchi_noinst_library.patch: New patch, build libinchi as
    convenience library.

  [ LI Daobing ]
  * add me to uploaders:
    - control: updated
  * change standards version to 3.7.2
    - control: updated
  * old-fsf-address-in-copyright-file
    - copyright: updated
  * rename libopenbabel1 to libopenbabel2
    - control: updated
    - rules: updated
    - libopenbabel1.install: removed
    - libopenbabel2.install: added
  * add TODO
  * don't install /usr/lib/openbabel/*.{a,la} to libopenbabel2
    - libopenbabel2.install: updated
    - libopenbabel-dev.install: updated
  * add binary package python-openbabel
    - control, rules, TODO: updated
    - python-openbabel.docs, python-openbabel.examples: added
    - patches/some_platform_have_no_python_dl.patch: added
  * Source-Version is deprecated:
    - control: updated

  [ Daniel Leidert ]
  * debian/control: Added Homepage and Vcs fields.
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Oct 2007 14:00:03 +0200

openbabel (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/openbabel.install: Install doc/babel31.inc into
    /usr/share/povray/includes. (Closes: #227550, #348883)
  * debian/control (libopenbabel1): Do not conflict with libopenbabel0*.
    (Closes: #358885)

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Sep 2006 19:14:05 +0200

openbabel (2.0.1-1) unstable; urgency=low

  * New upstream release. (Closes: #341628)
  * debian/patches/04_zipstream_fix.diff: Removed, applied upstream.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Readded.

 -- Michael Banck <mbanck@debian.org>  Sun, 14 May 2006 19:46:01 -0500

openbabel (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Added zlib1g-dev.
  * debian/control (Build-Depends): Added libxml2-dev.
  * debian/control (libopenbabel0c2a): Renamed to ...
  * debian/control (libopenbabel1): ... this package.
  * debian/control (libopenbabel-dev): Update Depends to
    libopenbabel1.
  * debian/libopenbabel0c2a.install: Renamed to ...
  * debian/libopenbabel1.install: ... this.
  * debian/patches/03_unitcell_test.patch: Removed, no longer needed.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Removed.
  * debian/patches-old: Removed.
  * debian/patches/04_zipstream_fix.diff: New patch, fixing a build
    failure.
  * debian/openbabel.docs (doc/Migration.html): Removed.
  * debian/libopenbabel1.install: Only install libopenbabel and also
    include formats in /usr/lib/openbabel.
  * debian/libopenbabel-dev.install: Only install libopenbabel and
    adjust include directory to match /usr/include/openbabel-2.0.
  * debian/rules (binary-predeb/libopenbabel1): New rule, removing
    the inchiformat plugin for now.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Removed.

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Mar 2006 01:19:58 +0100

openbabel (1.100.2-4) unstable; urgency=low

  * debian/control (libopenbabel0c2): Renamed to ...
  * debian/control (libopenbabel0c2a): ... this package (Closes: #339238)
  * debian/control (libopenbabel0c2a): Conflict with libopenbabel0c2.
  * debian/control (libopenbabel-dev): Update Depends to
    libopenbabel0c2a.
  * debian/libopenbabel0c2.install: Renamed to ...
  * debian/libopenbabel0c2a.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Mon, 21 Nov 2005 01:00:09 +0100

openbabel (1.100.2-3) unstable; urgency=low

  * debian/control (libopenbabel0): Renamed to ...
  * debian/control (libopenbabel0c2): ... this package (Closes: #319224)
  * debian/control (libopenbabel0c2): Conflict with libopenbabel0.
  * debian/control (libopenbabel-dev): Update Depends to
    libopenbabel0c2.
  * debian/libopenbabel0.install: Renamed to ...
  * debian/libopenbabel0c2.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Thu, 21 Jul 2005 01:18:30 +0200

openbabel (1.100.2-2) unstable; urgency=low

  * 03_unitcell_test.patch: Read in values as doubles, not floats.

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Mar 2004 14:05:21 +0100

openbabel (1.100.2-1) unstable; urgency=low

  * New upstream release.
    - 02_math_headers.patch dropped, included upstream.
  * debian/control (libopenbabel0): New package.
    (libopenbabel-dev/Depends): Added libopenbabel0.
  * debian/libopenbabel0.install: New file.
  * debian/libopenbabel-dev.install: Do not include everything, just
    the stuff this package needs (*a, *so and pkgconfig/*).
  * debian/rules (DEB_MAKE_CHECK_TARGET): New variable, running the
    test-suite by default now.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Feb 2004 18:12:59 +0100

openbabel (1.100.1-2) unstable; urgency=low

  * 02_math_headers.patch: include header files in src/math/
    directory in libopenbabel-dev

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Aug 2003 00:26:58 +0200

openbabel (1.100.1-1) unstable; urgency=low

  * New upstream release
    - 01_strstream_h_fix.patch dropped, included upstream
  * debian/openbabel.docs:
    - Removed Primer, no longer included
    - Renamed FAQ to FAQ.html
    - Renamed Migration to Migration.html
  * debian/control: Bumped Standards-Version to 3.6.0

 -- Michael Banck <mbanck@debian.org>  Fri, 18 Jul 2003 15:39:10 +0200

openbabel (1.100.0-2) unstable; urgency=low

  * debian/control:
    - Added CML to prominent file types in long decription
    - Build-Depends on cdbs now
  * debian/rules: switched to cdbs
  * 01_strstream_h_fix.patch:
    - configure.in: remove obsolete check for strstream.h;
      closes: #195000
    - configure: regenerated

 -- Michael Banck <mbanck@debian.org>  Fri,  6 Jun 2003 19:53:26 +0200

openbabel (1.100.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Changed Maintainer email address
  * debian/control: Changed linewrap of long description to 72 chars
    and mention that bond order perception is halfway there now
  * debian/control: Bumped Standards-Version to 3.5.8
  * debian/control: Build-Depends on debhelper (>= 4.0.0) now
  * debian/changelog: Removed local emacs variables
  * debian/rules: Switched to CBS (Colin's Build System)

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Dec 2002 17:33:10 +0100

openbabel (1.99-1) unstable; urgency=low

  * Initial Release; closes: #123100

 -- Michael Banck <mbanck@gmx.net>  Fri,  1 Feb 2002 01:19:44 +0100
